function [Fmed11] = Fmed(xxx,modul) 
i=2;
prvni_integral=2;
druhy_integral=1;
podil_N=5;
Z_prvni_integral=10;
Z_druhy_integral=20;

   while podil_N<=100 && Z_prvni_integral<Z_druhy_integral
        prvni_integral=sum(1*modul(1:i));
        druhy_integral=sum(1*modul(i+1:end));
        podil_N= 100*(prvni_integral/druhy_integral);
        Z_prvni_integral=round(prvni_integral*1000000);
        Z_druhy_integral=round(druhy_integral*1000000);
        i=i+1;
   end
   %------------vypis hodnot-------------------
   Fmed11=xxx(i-1);
end       